<template>
	<view>
		<loading ref="loading" type="3"/>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				
			}
		},
		onLoad(options) {
			let _this=this
			_this.$refs.loading.showLoading()
			var pages = getCurrentPages();
			var page = pages[pages.length - 3];
			let url='/'+page.route
			let params=page.options
			params.authResult=options.result
			let path=url + this.$u.queryParams(params)
			uni.reLaunch({
				url:path,
				success() {
					_this.$refs.loading.hide()
				}
			})
		},
		methods: {
			
		}
	}
</script>

<style>

</style>
